%define major 0

#define scmrev 0
%define libname %mklibname sysstat %{major}
%define devname %mklibname sysstat -d

%define rel 1

Name: libsysstat
Version: 0.3.2
%if 0%{?scmrev:1}
# rm -rf libsysstat && git clone git://git.lxde.org/git/lxde/libsysstat && cd libsysstat/ 
# git archive --prefix=libsysstat-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../libsysstat-$(date +%Y%m%d).tar.xz
Release: %mkrel -c %{scmrev} %rel
Source0: %{name}-%{scmrev}.tar.xz
%else
Release: %mkrel %rel
Source0: http://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz
%endif

Summary: System status library for LXQt
URL: http://lxqt.org/
License: LGPLv2+
Group: System/Libraries
BuildRequires: cmake
BuildRequires: pkgconfig(Qt5Help)
Patch0: libsysstat-0.3.2-fix-version-in-cmake-version-config-file.patch

%description
System status library for LXQt

%package -n %{libname}
Summary: System status library for LXQt
Group: System/Libraries
Obsoletes: %{_lib}razorsysstat0 < 0.5.4

%description -n %{libname}
System status library for LXQt

%package -n %{devname}
Summary: Development files for %{name}
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
%if %mgaversion < 5
Provides: pkgconfig(sysstat-qt5)
%endif
Obsoletes: %{_lib}razorsysstat-devel < 0.5.4

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%if 0%{?scmrev:1}
%setup -q -n %{name}-%{scmrev}
%else
%setup -q
%endif

%autopatch -p1

# fix name and minor version
#sed -i 's|-qt5||g' CMakeLists.txt
sed -i 's|set(MINOR_VERSION 2)|set(MINOR_VERSION 3)|g' CMakeLists.txt

%build
%cmake
%make

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_libdir}/cmake
mv %{buildroot}%{_datadir}/cmake/sysstat-qt5 \
	%{buildroot}%{_libdir}/cmake/sysstat-qt5

#sed -i 's|Version: 0.2.0|Version: %{version}|g' %buildroot%{_datadir}/cmake/sysstat-qt5/sysstat-qt5-config.cmake

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_libdir}/cmake/sysstat-qt5



%changelog
* Tue Nov 08 2016 neoclust <neoclust> 0.3.2-1.mga6
+ Revision: 1065885
- New version 0.3.2

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.3.1-4.mga6
+ Revision: 995912
+ rebuild (emptylog)

* Sun Dec 27 2015 wally <wally> 0.3.1-3.mga6
+ Revision: 915921
- rebuild with new cmake and cmake() provides

* Sun Dec 27 2015 wally <wally> 0.3.1-2.mga6
+ Revision: 915904
- add patch to fix version in cmake version config file

* Mon Nov 09 2015 neoclust <neoclust> 0.3.1-1.mga6
+ Revision: 900148
- New version 0.3.1

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.3.0-1.mga5
+ Revision: 816433
- new version 0.3.0
  o manually fix minor version in CMakeLists.txt, oversight upstream
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.2.0-3.mga5
+ Revision: 803662
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.2.0-2.mga5
+ Revision: 793184
+ rebuild (emptylog)

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.2.0-1.mga5
+ Revision: 792988
- update to 0.2 stable release instead of git snapshot

* Sat Oct 18 2014 doktor5000 <doktor5000> 0.1.1-0.20141016.2.mga5
+ Revision: 783744
- add missing BuildRequires on qt5-devel
- fix linker flags in sysstat-qt5-config.cmake

* Thu Oct 16 2014 doktor5000 <doktor5000> 0.1.1-0.20141016.1.mga5
+ Revision: 768515
- add missing BuildRequires on BuildRequires: pkgconfig(Qt5Help)
- new snapshot 20141016
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-0.20140508.6.mga5
+ Revision: 750192
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-0.20140508.5.mga5
+ Revision: 681806
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 wally <wally> 0.1.1-0.20140508.4.mga5
+ Revision: 641767
- fix librazorsysstat obsoletes

* Wed Jun 18 2014 doktor5000 <doktor5000> 0.1.1-0.20140508.3.mga5
+ Revision: 638008
- use name and version macros for Source
- add Obsoletes on %%{_lib}razorsysstat0 < 0.5.4

* Thu May 22 2014 doktor5000 <doktor5000> 0.1.1-0.20140508.2.mga5
+ Revision: 624954
- remove wrong Provides from -devel package

* Wed May 21 2014 doktor5000 <doktor5000> 0.1.1-0.20140508.1.mga5
+ Revision: 624656
- use %%mkrel, drop handling of %%beta
- fix BuildRequires
- imported package libsysstat


* Thu May 08 2014 Bernhard Rosenkraenzer <bero@lindev.ch> 0.1.1-0.20140508.1
+ Revision: a51553b
- Adjust build deps


